<?php
// Form actions
function bp_gtm_form_action( $page = false ) {
    echo bp_gmt_get_form_action( $page );
}
    function bp_gmt_get_form_action( $page = false, $group = false ) {
        global $bp, $groups_template;

        if ( !$group )
            $group =& $groups_template->group;

        if ( !$page )
            $page = $bp->action_variables[0];

        return apply_filters( 'bp_gtm_form_action', bp_get_group_permalink( $group ) . $bp->gtm->slug .'/' . $page );
    }

function bp_gtm_p_form_action( $user_id ) {
    echo bp_gmt_get_p_form_action( $user_id );
}
    function bp_gmt_get_p_form_action( $user_id, $page = false ) {
        global $bp;

        if ( !$page )
            $page = $bp->current_action;

        return apply_filters( 'bp_gtm_p_form_action', $bp->loggedin_user->domain . $bp->gtm->slug .'/'. $page );
    }


// Get actions and their names
function bp_gtm_get_actions($type = 'all', $slug = 'all'){
    $actions = array();
    
    $actions['project']['project_view'] = __('View Project', 'bp_gtm');
    $actions['project']['project_create'] = __('Create Project', 'bp_gtm');
    $actions['project']['project_edit'] = __('Edit Project', 'bp_gtm');
    $actions['project']['project_delete'] = __('Delete Project', 'bp_gtm');
    $actions['project']['project_done'] = __('Mark Project as Done', 'bp_gtm');
    $actions['project']['project_undone'] = __('Mark Project as Undone', 'bp_gtm');
    $actions['project']['project_comment'] = __('Comment Project', 'bp_gtm');
    
    $actions['task']['task_view'] = __('View Task', 'bp_gtm');
    $actions['task']['task_create'] = __('Create Task', 'bp_gtm');
    $actions['task']['task_edit'] = __('Edit Task', 'bp_gtm');
    $actions['task']['task_delete'] = __('Delete Task', 'bp_gtm');
    $actions['task']['task_done'] = __('Mark Task as Done', 'bp_gtm');
    $actions['task']['task_undone'] = __('Mark Task as Undone', 'bp_gtm');
    $actions['task']['task_comment'] = __('Comment Task', 'bp_gtm');

    $actions['taxon']['taxon_view'] = __('View Terms', 'bp_gtm');
    $actions['taxon']['taxon_create'] = __('Create Terms', 'bp_gtm');
    $actions['taxon']['taxon_edit'] = __('Edit Terms', 'bp_gtm');
    $actions['taxon']['taxon_delete'] = __('Delete Terms', 'bp_gtm');

    $actions['involved']['involved_view'] = __('View Involved', 'bp_gtm');
    $actions['involved']['involved_pm'] = __('Action: Send a PM to Involved', 'bp_gtm');
    $actions['involved']['involved_mention'] = __('Action: Mention Involved', 'bp_gtm');
    $actions['involved']['involved_email'] = __('Action: Send an Email to Involved', 'bp_gtm');
    $actions['involved']['involved_roles'] = __('Change User Roles', 'bp_gtm');

    $actions['discuss']['discuss_view'] = __('View Discussions', 'bp_gtm');
    $actions['discuss']['discuss_create'] = __('Create Discussion Posts', 'bp_gtm');
    $actions['discuss']['discuss_edit'] = __('Edit Any Discussion Posts', 'bp_gtm');
    $actions['discuss']['discuss_delete'] = __('Delete Any Discussion Posts', 'bp_gtm');

    $actions['settings']['settings_view'] = __('View All Settings', 'bp_gtm');
    $actions['settings']['settings_edit_base'] = __('Edit Base Settings', 'bp_gtm');
    $actions['settings']['settings_edit_roles'] = __('Edit Group Roles', 'bp_gtm');

    $actions['delete']['delete_all'] = __('Delete all GTM group data', 'bp_gtm');
        
    if($type == 'all'){
        return $actions;
    }else{
        if($slug != 'all')
            return $actions[$type][$slug];
        else
            return $actions[$type];
    }
}

function bp_gtm_get_checked($var, $value){
    if($var == $value)
        return 'checked="checked"';
}

/*
 *  Autocomplete functions
 */
function bp_gtm_get_resp_tabs() {
    global $bp;

    if ( isset( $_GET['r'] ) ) {
        $user_id = bp_core_get_userid( $_GET['r'] );

        if ( $user_id ) {
            ?>
            <li id="un-<?php echo $_GET['r'] ?>" class="resps-tab">
                <span>
                    <?php echo bp_core_fetch_avatar( array( 'item_id' => $user_id, 'type' => 'thumb', 'width' => 15, 'height' => 15 ) ) ?>
                    <?php echo bp_core_get_userlink( $user_id ) ?>
                </span>
            </li>
            <?php
        }
    }
}

/* AJAX autocomplete users/terms on the create|edit screen */
function bp_gtm_search_users( $search_terms, $limit = 10, $page = 1, $populate_extras = true ) {
    return BP_Core_User::search_users( $search_terms, $limit, $page, $populate_extras );
}
function bp_gtm_search_terms($search_terms, $taxon = 'tag', $limit = 10){
   return BP_GTM_Taxon::search_terms($search_terms, $taxon, $limit);
}

// Autocomplete-display engine
function bp_gtm_ajax_autocomplete_results() {
    global $bp;
   $bp_gtm_group_settings = get_option('bp_gtm_g_'.$bp->groups->current_group->id.'_settings');
   
   if ( $_GET['type'] == 'resps' ) {
      if ( $bp_gtm_group_settings['resp'] == 'friends' ) {

         $friends = false;

         // Get friends ids based on the search terms
         if ( function_exists( 'friends_search_friends' ) )
            $friends = friends_search_friends( $_GET['q'], $bp->loggedin_user->id, $_GET['limit'], 1 );

         $friends = apply_filters( 'bp_friends_autocomplete_list', $friends, $_GET['q'], $_GET['limit'] );

         if ( $friends['friends'] ) {
            foreach ( (array)$friends['friends'] as $user_id ) {
               $ud = get_userdata($user_id);
               $username = $ud->user_login;
               echo bp_core_fetch_avatar( array( 'item_id' => $user_id, 'type' => 'thumb', 'width' => 15, 'height' => 15 ) ) . ' &nbsp;' . bp_core_get_user_displayname( $user_id ) . ' (' . $username . ')
               ';
            }
         }

      }elseif($bp_gtm_group_settings['resp'] == 'members'){

         $users = false;

         // Get users ids based on the search terms
         if ( function_exists( 'bp_gtm_search_users' ) )
            $users = bp_gtm_search_users( $_GET['q'], $_GET['limit'], 1, true );

         $users = apply_filters( 'bp_gtm_users_autocomplete_list', $users, $_GET['q'], $_GET['limit'] );

         if ( $users['users'] ) {
            foreach ( (array)$users['users'] as $user ) {
   //            print_var($user_id);
               echo bp_core_fetch_avatar( array( 'item_id' => $user->id, 'object' => 'user', 'type' => 'thumb', 'width' => 15, 'height' => 15 ) ) . ' &nbsp;' . $user->fullname . ' (' . $user->user_login . ')
               ';
            }
         }

      }elseif($bp_gtm_group_settings['resp'] == 'gmembers') {
         $members = false;

         // Get group members ids based on the search terms
         if ( function_exists( 'bp_gtm_search_gmembers' ) )
            $members = bp_gtm_search_gmembers( $_GET['q'], $_GET['limit'], $bp->groups->current_group->id, 'members' );

         $members = apply_filters( 'bp_gtm_gmembers_autocomplete_list', $members, $_GET['q'], $_GET['limit'] );

         if ( $members ) {
            foreach ( (array)$members as $member ) {
               $ud = get_userdata($member->id);
               echo bp_core_fetch_avatar( array( 'item_id' => $member->id, 'type' => 'thumb', 'width' => 15, 'height' => 15 ) ) . ' &nbsp;' . bp_core_get_user_displayname( $member->id ) . ' (' . $ud->user_login . ')
               ';
            }
         }
      }
   }elseif($_GET['type'] == 'tags'){
      $terms = false;

      // Get all the group tags based on the searched terms
      if ( function_exists('bp_gtm_search_terms'))
         $terms = bp_gtm_search_terms($_GET['q'], $taxon = 'tag', $_GET['limit']);

      $terms = apply_filters( 'bp_gtm_terms_autocomplete_list', $terms, $taxon, $_GET['limit'] );

      if ( count($terms) > 0 ) {
         foreach ( (array)$terms as $term ) {
            echo $term->name . '
               ';
         }
      }
   }
}
add_action( 'wp_ajax_autocomplete_results', 'bp_gtm_ajax_autocomplete_results' );

function bp_gtm_resp_usernames() {
    echo bp_gtm_get_resp_usernames();
}
    function bp_gtm_get_resp_usernames() {
        return apply_filters( 'bp_gtm_get_project_resp_usernames', $_GET['r'] );
    }
function bp_gtm_tag_names() {
   echo bp_gtm_get_tag_names();
}
    function bp_gtm_get_tag_names() {
        return apply_filters( 'bp_gtm_get_project_tag_names', $_GET['r'] );
    }

function bp_gtm_get_el_name_by_id($elem_id, $el_type){
   global $bp, $wpdb;

   if ($el_type == 'task' || $el_type == 'tasks') {
      $data = $wpdb->get_results( $wpdb->prepare( "SELECT `name` FROM ".$bp->gtm->table_tasks." WHERE `id` = %d", $elem_id));
   }elseif($el_type == 'project' || $el_type == 'projects'){
      $data = $wpdb->get_results( $wpdb->prepare( "SELECT `name` FROM ".$bp->gtm->table_projects." WHERE `id` = %d", $elem_id));
   }

   $el_name = $data[0]->name;

   return $el_name;
}

function bp_gtm_is_belong_2group($group_id, $element_id, $type){
   global $bp, $wpdb;

   switch ($type) {
      case 'tag':
         $exist = $wpdb->get_results( $wpdb->prepare( "SELECT `id` FROM ".$bp->gtm->table_terms." WHERE `id` = %d AND `group_id` = %d", $element_id, $group_id));
         break;
      case 'cat':
         $exist = $wpdb->get_results( $wpdb->prepare( "SELECT `id` FROM ".$bp->gtm->table_terms." WHERE `id` = %d AND `group_id` = %d", $element_id, $group_id));
         break;
      case 'task':
         $exist = $wpdb->get_results( $wpdb->prepare( "SELECT `id` FROM ".$bp->gtm->table_tasks." WHERE `id` = %d AND `group_id` = %d", $element_id, $group_id));
         break;
      case 'project':
         $exist = $wpdb->get_results( $wpdb->prepare( "SELECT `id` FROM ".$bp->gtm->table_projects." WHERE `id` = %d AND `group_id` = %d", $element_id, $group_id));
         break;
   }

   if (count($exist)!=0)
      return true;
}

function bp_gtm_is_elem_done($elem_id, $elem_type){
   global $bp, $wpdb;

   if ($elem_type == 'projects'){
      $table = $bp->gtm->table_projects;
   }elseif($elem_type == 'tasks'){
      $table = $bp->gtm->table_tasks;
   }

   $done = $wpdb->get_results($wpdb->prepare("SELECT `done` FROM $table WHERE `id` = $elem_id"));
   
   if ($done[0]->done == 1)
      return true;

   return false;
}

function bp_gtm_get_allcount($group_id = false, $type = 'all'){
   global $bp, $wpdb;
   
   if ($type == 'all') {
      if ($group_id != false) {
         $count['cats'] = count(BP_GTM_Taxon::get_terms_in_group($group_id,'cat'));
         $count['tags'] = count(BP_GTM_Taxon::get_terms_in_group($group_id,'tag'));
         $count['projects'] = $wpdb->get_var( $wpdb->prepare( "
                              SELECT COUNT(DISTINCT `id`) FROM ".$bp->gtm->table_projects." WHERE `group_id` = '%d'", $group_id));
         $count['tasks']  = $wpdb->get_var( $wpdb->prepare( "
                              SELECT COUNT(DISTINCT `id`) FROM ".$bp->gtm->table_tasks." WHERE `group_id` = '%d'", $group_id));
      }else{ // no matter in which group
         $count['cats'] = $wpdb->get_var( $wpdb->prepare( "SELECT COUNT(DISTINCT `id`) FROM ".$bp->gtm->table_terms." WHERE `taxon` = 'cat'"));
         $count['tags'] = $wpdb->get_var( $wpdb->prepare( "SELECT COUNT(DISTINCT `id`) FROM ".$bp->gtm->table_terms." WHERE `taxon` = 'tag'"));
         $count['projects'] = $wpdb->get_var( $wpdb->prepare( "SELECT COUNT(DISTINCT `id`) FROM ".$bp->gtm->table_projects));
         $count['tasks']  = $wpdb->get_var( $wpdb->prepare( "SELECT COUNT(DISTINCT `id`) FROM ".$bp->gtm->table_tasks));
      }
   }elseif($type == 'tags'){
      if ($group_id != false) {
         $count['tags'] = count(BP_GTM_Taxon::get_terms_in_group($group_id,'tag'));
      }else{ // no matter in which group
         $count['tags'] = $wpdb->get_var( $wpdb->prepare( "SELECT COUNT(DISTINCT `id`) FROM ".$bp->gtm->table_terms." WHERE `taxon` = 'tag'"));
      }
   }elseif($type == 'cats'){
      if ($group_id != false) {
         $count['cats'] = count(BP_GTM_Taxon::get_terms_in_group($group_id,'cat'));
      }else{ // no matter in which group
         $count['cats'] = $wpdb->get_var( $wpdb->prepare( "SELECT COUNT(DISTINCT `id`) FROM ".$bp->gtm->table_terms." WHERE `taxon` = 'cat'"));
      }
   }elseif($type == 'tasks'){
      if ($group_id != false) {
         $count['tasks']  = $wpdb->get_var( $wpdb->prepare( "SELECT COUNT(DISTINCT `id`) FROM ".$bp->gtm->table_tasks." WHERE `group_id` = '%d'", $group_id));
      }else{ // no matter in which group
         $count['tasks']  = $wpdb->get_var( $wpdb->prepare( "SELECT COUNT(DISTINCT `id`) FROM ".$bp->gtm->table_tasks));
      }
   }elseif($type == 'projects'){
      if ($group_id != false) {
         $count['projects'] = $wpdb->get_var( $wpdb->prepare( "SELECT COUNT(DISTINCT `id`) FROM ".$bp->gtm->table_projects." WHERE `group_id` = '%d'", $group_id));
      }else{ // no matter in which group
         $count['projects'] = $wpdb->get_var( $wpdb->prepare( "SELECT COUNT(DISTINCT `id`) FROM ".$bp->gtm->table_projects));
      }
   }

   if (!$count['tags']) $count['tags'] = '0';
   if (!$count['cats']) $count['cats'] = '0';
   if (!$count['projects']) $count['projects'] = '0';
   if (!$count['tasks']) $count['tasks'] = '0';

   return $count;
}

/*
 *  AJAX functions
 */
// Not really ajax - but is used for it
function bp_gtm_done_link($type, $elem_id, $el_type = false){
    if ( $_GET['filter'] == 'done' ){
        if (bp_gtm_check_access($el_type.'_undone'))
            echo "<a class='undone_me' id='$elem_id' href='#' title='".__('Mark as pending','bp_gtm')."'><img style='border:none' height='16' width='16' src='".WP_PLUGIN_URL."/bp-gtm-system/_inc/images/undone.png"."' alt='". __('Undone','bp_gtm') ."' /></a>";
    }else{
        if (bp_gtm_check_access($el_type.'_done'))
            echo "<a class='done_me' id='$elem_id' href='#' title='".__('Mark as completed','bp_gtm')."'><img style='border:none' height='16' width='16' src='".WP_PLUGIN_URL."/bp-gtm-system/_inc/images/done.png"."' alt='". __('Done','bp_gtm') ."' /></a>";
    }
}

// Delete tag|cat|task|project from a full list page
function bp_gtm_delete_item(){
   global $bp, $wpdb;

   if ($_GET['deleteType'] == 'tag' || $_GET['deleteType'] == 'cat') {
      $wpdb->query( $wpdb->prepare("DELETE FROM ".$bp->gtm->table_terms." WHERE `id` = %d AND `group_id` = %d", $_GET['deleteItem'], $bp->groups->current_group->id));
      $wpdb->query( $wpdb->prepare("DELETE FROM ".$bp->gtm->table_taxon." WHERE `term_id` = %d AND `group_id` = %d", $_GET['deleteItem'], $bp->groups->current_group->id));
   }elseif($_GET['deleteType'] == 'projects'){
      $wpdb->query( $wpdb->prepare("DELETE FROM ".$bp->gtm->table_projects." WHERE `id` = %d AND `group_id` = %d", $_GET['deleteItem'], $bp->groups->current_group->id));
      $wpdb->query( $wpdb->prepare("DELETE FROM ".$bp->gtm->table_tasks." WHERE `project_id` = %d AND `group_id` = %d", $_GET['deleteItem'], $bp->groups->current_group->id));
      $wpdb->query( $wpdb->prepare("DELETE FROM ".$bp->gtm->table_taxon." WHERE `project_id` = %d AND `group_id` = %d", $_GET['deleteItem'], $bp->groups->current_group->id));
      $wpdb->query( $wpdb->prepare("DELETE FROM ".$bp->gtm->table_resps." WHERE `project_id` = %d AND `group_id` = %d", $_GET['deleteItem'], $bp->groups->current_group->id));
      $wpdb->query( $wpdb->prepare("DELETE FROM ".$bp->gtm->table_discuss." WHERE `project_id` = %d AND `group_id` = %d", $_GET['deleteItem'], $bp->groups->current_group->id));
      $wpdb->query( $wpdb->prepare("DELETE FROM {$bp->core->table_name_notifications} WHERE `item_id` = %d AND `secondary_item_id` = %d AND `component_name` = {$bp->gtm->slug} AND `component_action` LIKE `project_%%`", $_GET['deleteItem'], $bp->groups->current_group->id));
      $project = BP_GTM_Projects::get_project_by_id($_GET['deleteItem']);
      $resps = explode(' ', $project['0']->resp_id);
      foreach ($resps as $resp) {
         if ($resp != '') {
            $resp_id = bp_core_get_userid($resp);
            if ($resp_id != $bp->loggedin_user->id)
               bp_core_add_notification( $_GET['deleteItem'], $resp_id, $bp->gtm->slug, 'project_deleted', $bp->groups->current_group->id);
         }
      }
   }elseif($_GET['deleteType'] == 'tasks'){
      $wpdb->query( $wpdb->prepare("DELETE FROM {$bp->gtm->table_tasks} WHERE `id` = %d AND `group_id` = %d", $_GET['deleteItem'], $bp->groups->current_group->id));
      $wpdb->query( $wpdb->prepare("DELETE FROM {$bp->gtm->table_taxon} WHERE `task_id` = %d AND `group_id` = %d", $_GET['deleteItem'], $bp->groups->current_group->id));
      $wpdb->query( $wpdb->prepare("DELETE FROM {$bp->gtm->table_resps} WHERE `task_id` = %d AND `group_id` = %d", $_GET['deleteItem'], $bp->groups->current_group->id));
      $wpdb->query( $wpdb->prepare("DELETE FROM {$bp->gtm->table_discuss} WHERE `task_id` = %d AND `group_id` = %d", $_GET['deleteItem'], $bp->groups->current_group->id));
      $wpdb->query( $wpdb->prepare("DELETE FROM {$bp->core->table_name_notifications} WHERE `item_id` = %d AND `secondary_item_id` = %d AND `component_name` = {$bp->gtm->slug} AND `component_action` LIKE `task_%%`", $_GET['deleteItem'], $bp->groups->current_group->id));
      $task = BP_GTM_Tasks::get_task_by_id($_GET['deleteItem']);
      $resps = explode(' ', $task['0']->resp_id);
      foreach ($resps as $resp) {
         if ($resp != '') {
            $resp_id = bp_core_get_userid($resp);
            if ($resp_id != $bp->loggedin_user->id)
               bp_core_add_notification( $_GET['deleteItem'], $resp_id, $bp->gtm->slug, 'task_deleted', $bp->groups->current_group->id);
         }
      }
   }

   return true;
}
add_action( 'wp_ajax_bp_gtm_delete_item', 'bp_gtm_delete_item' );

// Edit tag|cat name on an all terms page
function bp_gtm_edit_term(){
   global $bp, $wpdb;
   $wpdb->query( $wpdb->prepare("UPDATE ".$bp->gtm->table_terms." SET `name` = %s WHERE `id` = %d AND `group_id` = %d", $_GET['editName'], $_GET['editID'], $bp->groups->current_group->id));
   return true;
}
add_action( 'wp_ajax_bp_gtm_edit_term', 'bp_gtm_edit_term' );

// Mark task|project as done/undone on a full list page
function bp_gtm_done_item(){
   global $bp, $wpdb;

   if ($_GET['doneAction'] == 'done') {
      if ($_GET['doneType'] == 'projects') {
         $wpdb->query( $wpdb->prepare("UPDATE ".$bp->gtm->table_projects." SET `done` = '1' WHERE `id` = %d AND `group_id` = %d", $_GET['doneID'], $bp->groups->current_group->id));
         $wpdb->query( $wpdb->prepare("UPDATE ".$bp->gtm->table_tasks." SET `done` = '1' WHERE `project_id` = %d AND `group_id` = %d", $_GET['doneID'], $bp->groups->current_group->id));
         $project = BP_GTM_Projects::get_project_by_id($_GET['doneID']);
         $resps = explode( ' ', $project['0']->resp_id);
         foreach ($resps as $resp) {
            if ($resp != '') {
               $resp_id = bp_core_get_userid($resp);
               if ($resp_id != $bp->loggedin_user->id)
                  bp_core_add_notification( $_GET['doneID'], $resp_id, $bp->gtm->slug, 'project_done', $bp->groups->current_group->id);
            }
         }
      }elseif($_GET['doneType'] == 'tasks'){
         $wpdb->query( $wpdb->prepare("UPDATE ".$bp->gtm->table_tasks." SET `done` = '1' WHERE `id` = %d AND `group_id` = %d", $_GET['doneID'], $bp->groups->current_group->id));
         $wpdb->query( $wpdb->prepare("UPDATE ".$bp->gtm->table_tasks." SET `done` = '1' WHERE `parent_id` = %d AND `group_id` = %d", $_GET['doneID'], $bp->groups->current_group->id));
         $task = BP_GTM_Tasks::get_task_by_id($_GET['doneID']);
         $resps = explode( ' ', $task['0']->resp_id);
         foreach ($resps as $resp) {
            if ($resp != '') {
               $resp_id = bp_core_get_userid($resp);
               if ($resp_id != $bp->loggedin_user->id)
                  bp_core_add_notification( $_GET['doneID'], $resp_id, $bp->gtm->slug, 'task_done', $bp->groups->current_group->id);
            }
         }
      }
   }elseif($_GET['doneAction'] == 'undone') {
      if ($_GET['doneType'] == 'projects') {
         $wpdb->query( $wpdb->prepare("UPDATE ".$bp->gtm->table_projects." SET `done` = '0' WHERE `id` = %d AND `group_id` = %d", $_GET['doneID'], $bp->groups->current_group->id));
//         $wpdb->query( $wpdb->prepare("UPDATE ".$bp->gtm->table_tasks." SET `done` = '0' WHERE `project_id` = %d AND `group_id` = %d", $_GET['doneID'], $bp->groups->current_group->id));
         $project = BP_GTM_Projects::get_project_by_id($_GET['doneID']);
         $resps = explode( ' ', $project['0']->resp_id);
         foreach ($resps as $resp) {
            if ($resp != '') {
               $resp_id = bp_core_get_userid($resp);
               if ($resp_id != $bp->loggedin_user->id)
                  bp_core_add_notification( $_GET['doneID'], $resp_id, $bp->gtm->slug, 'project_undone', $bp->groups->current_group->id);
            }
         }
      }elseif($_GET['doneType'] == 'tasks'){
         $wpdb->query( $wpdb->prepare("UPDATE ".$bp->gtm->table_tasks." SET `done` = '0' WHERE `id` = %d AND `group_id` = %d", $_GET['doneID'], $bp->groups->current_group->id));
         $task = BP_GTM_Tasks::get_task_by_id($_GET['doneID']);
         $resps = explode( ' ', $task['0']->resp_id);
         foreach ($resps as $resp) {
            if ($resp != '') {
               $resp_id = bp_core_get_userid($resp);
               if ($resp_id != $bp->loggedin_user->id)
                  bp_core_add_notification( $_GET['doneID'], $resp_id, $bp->gtm->slug, 'task_undone', $bp->groups->current_group->id);
            }
         }
      }
   }
   return true;
}
add_action( 'wp_ajax_bp_gtm_done_item', 'bp_gtm_done_item' );
