<?php
$bp_gtm_actions = get_option('bp_gtm_actions');
if ($bp_gtm_actions['role'] == 'on') {
    $actions = new BP_GTM_Actions();
    add_action('init', array(&$actions, 'init'));
    add_action('wp_ajax_bp_gtm_show_role_ajax', array(&$actions, 'show_role_ajax'));
    add_action('wp_ajax_bp_gtm_change_role_ajax', array(&$actions, 'change_role_ajax'));
}

class BP_GTM_Actions {
    
    function init(){
        global $bp;
        if(bp_gtm_check_access('involved_roles') ){
            add_action('bp_group_members_list_item_action', array($this, 'role_button'));
            add_action('bp_directory_involved_actions', array($this, 'role_extra_button'));
        }
        add_action('wp_footer', array($this, 'role_popup'));
        add_action('wp_print_scripts', array($this, 'show_role_js'));
    }
    
    function show_role_js(){ ?>
        <script type='text/javascript'>
        /* <![CDATA[ */
        var bp_gtm_roles_strings = {
            role_changed: "<?php _e('Role was successfully changed','bp_gtm') ?>",
            error_again: "<?php _e('Error: please try again','bp_gtm') ?>",
            please_select: "<?php _e('Please select a new role for this user', 'bp_gtm') ?>"
        };
        /* ]]> */
        </script>
        <?php
        wp_enqueue_script('bp-gtm-actions-js', GTM_URL . '_inc/actions.js');
    }
    
    function show_role_ajax(){
        echo '
        <a id="popupRolesClose" title="'.__('Close this window','bp_gtm').'">x</a>
        <h1>'.sprintf(__('Change a role for %s','bp_gtm'), bp_core_get_userlink($_GET['user'])).' </h1>
        <p id="popupArea">'.__('Select new role for this user.','bp_gtm').'
            <span style="float:right">
                <select id="role_name">
                    <option value="0">'.__('select a role','bp_gtm').'</option>';
                    $roles = bp_gtm_roles_list();
                    foreach($roles as $role){
                        echo '<option '.(bp_gtm_get_role_for_user($_GET['user'])->id == $role->id ? 'selected="selected"' : '' ).' value="'.$role->id.'">'.$role->role_name.'</option>';
                    }
                echo '
                </select>
            </span>
        </p>
        <p id="popupArea">
            <span class="popupReport"></span>
            <a style="float:right" rel="'.$_GET['user'].'" href="#" class="button" id="change_role">Click to Change Role</a>
        </p>';
        die();
    }
    
    function change_role_ajax(){
        global $bp;
        if (bp_gtm_change_user_role($_GET['user'], $_GET['role'], $bp->groups->current_group->id)) {
            echo '1';
        }else{
            echo '0';
        }
        die();
    }
    
    // display on Group->Members page
    function role_button(){
        echo '
        <div style="margin: 5px 0;" class="generic-button">
            <a class="change_role" rel="'.bp_get_group_member_id().'" href="#">'.__('Change role','bp_gtm').'</a>
        </div>';
    }
    // display on Group->GTM->Involved page
    function role_extra_button($user_id){
        echo ' | <a class="change_role" rel="'.$user_id.'" href="#" title="'.__('Change role','bp_gtm').'">'.__('R', 'bp_gtm').'</a>';
    }
    
    function role_popup(){
        global $bp;
        if(bp_gtm_get_access($bp->loggedin_user->id, $bp->groups->current_group->id, 'involved_roles') )
            echo '<div id="popupRoles"></div><div id="backgroundPopup"></div>';
    }
}

?>