<?php
$arg['width'] = '25';
$arg['height'] = '25';
$resps = BP_GTM_Resps::get_all($bp->groups->current_group->id);
//print_var($resps);
?>

<h4><?php _e( 'Involved People', 'bp_gtm' ); ?></h4>

<div class="pagination no-ajax">
    <div id="post-count" class="pag-count">
        <p><?php _e( 'List of users that are responsible for tasks and/or projects in this group. Their tasks and projects are not completed', 'bp_gtm' ); ?></p>
    </div>
</div>

<?php if ( count($resps) > 0 ) { ?>

<table class="forum zebra">
    <thead>
        <tr>
            <th id="th-title" style="width:40%"><?php _e( 'User', 'bp_gtm' ) ?></th>
            <th id="th-poster" style="width:10%"><?php _e( 'Role', 'bp_gtm' ) ?></th>
            <th id="th-poster" style="width:10%"><?php _e( 'Tasks', 'bp_gtm' ) ?></th>
            <th id="th-group" style="width:10%"><?php _e( 'Projects', 'bp_gtm' ) ?></th>
            <th id="th-freshness"><?php _e( 'Actions', 'bp_gtm' ) ?></th>
            
            <?php do_action( 'bp_directory_involved_extra_cell_head' ) ?>
            
        </tr>
    </thead>

    <tbody id="users-list" >
    <?php
        foreach ( $resps as $resp ) {
            //print_var($resp);
            if ($resp->id != 0) {?>
                <tr id="<?php echo $resp->id; ?>">
                    <td class="td-title">
                        <?php $arg['item_id'] = $resp->id; ?>
                        <div class="poster-name"><?php echo bp_core_fetch_avatar($arg); echo bp_core_get_userlink($arg['item_id']); ?></div>
                    </td>
                    <td class="td-title">
                        <?php 
                        if (!$resp->role_name) 
                            _e('Admin', 'bp_gtm');
                        else
                            echo $resp->role_name; ?>
                    </td>
                    <td class="td-poster">
                        <?php echo sprintf(_n('%s task', '%s tasks', $resp->tasks, 'bp_gtm'), $resp->tasks); ?>
                    </td>
                    <td class="td-group">
                        <?php 
                        $count_projects = BP_GTM_Resps::get_el_count($resp->id, 'projects', $bp->groups->current_group->id);
                        echo sprintf(_n('%s project', '%s projects', $count_projects, 'bp_gtm'), $count_projects); ?>
                    </td>
                    <td id="users" class="td-freshness">
                        <?php if(bp_gtm_check_access('involved_mention')){ ?>
                            <a href="<?php echo bp_core_get_user_domain( $bp->loggedin_user->id, false, false ) . BP_ACTIVITY_SLUG .'/?r='.bp_core_get_username( $resp->id, false, false ) ?>" title="<?php _e( 'Mention this user', 'bp_gtm' ); ?>">@</a> | 
                        <?php } ?>
                        <?php if(bp_gtm_check_access('involved_pm')){ ?>    
                        <a href="<?php echo bp_core_get_user_domain( $bp->loggedin_user->id, false, false ) . BP_MESSAGES_SLUG . '/compose/?r=' . bp_core_get_username( $resp->id, false, false ) ?>" title="<?php _e( 'Send a private meassage', 'bp_gtm' ); ?>"><?php _e('PM','bp_gtm'); ?></a>
                        <?php } ?>
                        <?php
                        if (bp_gtm_check_access('involved_email')) {
                            echo ' | ';
                            echo '<a href="#" class="email_notify" id="'.$resp->id.'" title="'.__('Notify user about pending tasks and projects','bp_gtm').'">'.__('N','bp_gtm').'</a>';
                        } ?>
                        <?php do_action('bp_directory_involved_actions', $resp->id); ?>
                    </td>

                    <?php do_action('bp_directory_involved_extra_cell') ?>
                </tr>
                <?php do_action('bp_directory_involved_extra_row');
            }
        }
        ?>
    </tbody>
</table><!-- end_table-->

<?php
}else{
   echo '<div id="message" class="info"><p>'.__('There are no users to display yet.','bp_gtm').'</p></div>';
}
?>