<?php
$limit['per_page'] = $bp_gtm_p_tasks_pp; // how many to show
$limit['miss'] = 0; // from the very first one - need to be on the 1st page

$navi_filter['done'] = 0;
$navi_filter['user'] = $bp->loggedin_user->id;
$navi_filter['id'] = 0;
$navi_filter['type'] = $_GET['filter'];

if (!$_GET['project'] && !$_GET['group']) { // standard filters
   $project_id = false;
   if ( $_GET['filter'] == 'done' ){
      $navi_filter['done'] = 1;
      $page_h4 = __('All Completed Personal Tasks','bp_gtm');
      $tasks = BP_GTM_Personal::get_tasks($bp->loggedin_user->id, $filter = 'done', $limit);
      $done_style = 'style="color:grey"';
   }elseif($_GET['filter'] == 'alpha'){ // done
      $page_h4 = __('Personal Tasks by A/Z','bp_gtm');
      $tasks = BP_GTM_Personal::get_tasks($bp->loggedin_user->id, $filter = 'alpha', $limit);
      $alpha_style = 'style="color:grey"';
   }elseif($_GET['filter'] == 'deadline'){ // done
      $page_h4 = __('Personal Tasks by Deadline','bp_gtm');
      $tasks = BP_GTM_Personal::get_tasks($bp->loggedin_user->id, $filter = 'deadline', $limit);
      $deadline_style = 'style="color:grey"';
   }else{
      $page_h4 = __('Personal Tasks by Deadline','bp_gtm'); // done
      $tasks = BP_GTM_Personal::get_tasks($bp->loggedin_user->id, $filter = 'deadline', $limit);
      $deadline_style = 'style="color:grey"';
   }
}elseif(!$_GET['project'] && $_GET['group']){  // show tasks in group
   $group = groups_get_group(array('group_id' => $_GET['group']) );
   $page_h4 = __('Personal Tasks in Group','bp_gtm') .' "'. $group->name .'"';
   $tasks = BP_GTM_Personal::get_tasks($bp->loggedin_user->id, $filter = 'group', $limit, $_GET['group']);
   $navi_filter['id'] = $_GET['group'];
   $navi_filter['type'] = 'group';
   $by_group_style = 'style="color:grey"';
}elseif($_GET['project'] && !$_GET['group']){  // show tasks in project
   $page_h4 = __('Personal Tasks in Project','bp_gtm') .' "'. bp_gtm_get_el_name_by_id($_GET['project'], 'project') .'"';
   $tasks = BP_GTM_Personal::get_tasks($bp->loggedin_user->id, $filter = 'project', $limit, $_GET['project']);
   $navi_filter['id'] = $_GET['project'];
   $navi_filter['type'] = 'project';
   $by_proj_style = 'style="color:grey"';
}

?>

<h4><?php echo $page_h4; ?></h4>

<div class="pagination no-ajax">
	<div id="post-count" class="pag-count">
      <?php bp_gtm_personal_tasks_navi($navi_filter, $limit['per_page']); ?>
	</div>

	<div style="float:right;font-size:12px;" id="tasks-filter">
      <?php _e('Filter: ','bp_gtm'); ?>
      <a <?php echo $alpha_style ?> href="<?php echo $gtm_link.'tasks?filter=alpha'; ?>"><?php _e('By A/Z','bp_gtm'); ?></a> |
      <a <?php echo $deadline_style ?> href="<?php echo $gtm_link.'tasks?filter=deadline'; ?>"><?php _e('By deadline','bp_gtm'); ?></a> |
      <a <?php echo $by_proj_style ?> id="open_project" href="#"><?php _e('By project','bp_gtm'); ?></a> |
      <a <?php echo $by_group_style ?> id="open_group" href="#"><?php _e('By group','bp_gtm'); ?></a> |
      <a <?php echo $done_style ?> href="<?php echo $gtm_link.'tasks?filter=done'; ?>"><?php _e('Completed','bp_gtm'); ?></a>

      <div id="toggler">
         <div id="box" class="filter_project" style="display:none;width:200px;position:absolute;background:#fff;">
            <p><strong><?php _e('Projects List','bp_gtm') ?></strong><span class="close"><a id="open_project" href="#" title="<?php _e( 'Close', 'bp_gtm' ); ?>">X</a></span></p>
               <ul class="projects-filter">
                  <?php
                  $projects = BP_GTM_Personal::get_projects($bp->loggedin_user->id, $filter = 'alpha');
                  foreach ($projects as $project) {
                     $personal_link = $bp->loggedin_user->domain . $bp->gtm->slug . '/';
                     echo '<li><a href="'. $personal_link.'tasks?project='.$project->id .'"> '. $project->name .'</a></li>';
                  }
                  ?>
               </ul>
            <p><small><?php _e( 'Click on a project to see its tasks', 'bp_gtm' ); ?></small></p>
         </div>
         <div id="box" class="filter_group" style="display:none;width:200px;position:absolute;background:#fff;">
            <p><strong><?php _e('Groups List','bp_gtm') ?></strong><span class="close"><a id="open_group" href="#" title="<?php _e( 'Close', 'bp_gtm' ); ?>">X</a></span></p>
               <ul class="projects-filter">
                  <?php
                  $groups = BP_GTM_Personal::get_groups($bp->loggedin_user->id, $filter = 'alpha');
                  foreach ($groups as $group) {
                     $personal_link = $bp->loggedin_user->domain . $bp->gtm->slug . '/';
                     echo '<li><a href="'. $personal_link.'tasks?group='.$group->id .'"> '. $group->name .'</a></li>';
                  }
                  ?>
               </ul>
            <p><small><?php _e( 'Click on a group to see its tasks', 'bp_gtm' ); ?></small></p>
         </div>
      </div>

	</div>
</div>

<?php do_action('bp_before_gtm_personal_tasks_list');

if ( count($tasks)>0 ) { ?>

<table class="forum zebra">
	<thead>
		<tr>
			<th id="th-title" style="width:35%"><?php _e( 'Task Title', 'bp_gtm' ) ?></th>
			<th id="th-group"><?php _e( 'Project', 'bp_gtm' ) ?></th>
         <th id="th-poster"><?php _e( 'Group', 'bp_gtm' ) ?></th>
   		<th id="th-postcount"><?php _e( 'Deadline', 'bp_gtm' ) ?></th>

			<?php do_action( 'bp_gtm_personal_tasks_extra_cell_head' ) ?>

		</tr>
	</thead>

	<tbody id="tasks-list" >
   <?php
      foreach ( $tasks as $task ) {
         $group_slug = groups_get_slug($task->group_id);
         $gtm_link = $bp->root_domain.'/'.$bp->groups->slug.'/'.$group_slug.'/'.$bp->gtm->slug.'/'; ?>
         <tr id="<?php echo $task->id; ?>" class="<?php bp_gtm_task_check_date($task->id, $task->deadline ); ?>">
            <td class="td-title">
               <a class="topic-title" href="<?php echo $gtm_link.$bp->current_action.'/view/'.$task->id ?>" title="<?php _e( 'Permalink on task\'s page', 'bp_gtm' ) ?>">
                  <?php echo $task->name; ?>
               </a>
            </td>
            <td class="td-group">
               <?php
               echo '<div class="object-name">
                              <a href="'.$gtm_link.'projects/view/'.$task->project_id.'" title="'.__('Go to project\'s page', 'bp_gtm').'">
                                 '.bp_gtm_get_el_name_by_id($task->project_id, 'project').'
                              </a>
                           </div>'; ?>
            </td>
            <td class="td-poster">
               <?php
               $group = groups_get_group(array('group_id' => $task->group_id) );
               //print_var($group);
               echo '<a href="'.$bp->root_domain.'/'.$bp->groups->slug.'/'.$group->slug.'/" title="'.$group->description.'">'.$group->name.'</a>';
               ?>
            </td>
            <td class="td-group">
               <?php
                  $datef = __( 'M jS, Y', 'bp_gtm' );
                  $date = date_i18n( $datef, strtotime( $task->deadline ) );
               ?>
               <div class="object-name" style="text-align:center"><?php echo $date; ?></div>
            </td>

            <?php do_action( 'bp_gtm_personal_tasks_extra_cell' ) ?>
         </tr>
         <?php do_action( 'bp_gtm_personal_tasks_extra_row' );
		} ?>
	</tbody>
</table>
<?php
do_action('bp_after_gtm_personal_tasks_list');

}else{
   echo '<div id="message" class="info"><p>'.__('There are no tasks to display.','bp_gtm').'</p></div>';
}
?>