<h4><?php _e( 'Update Project', 'bp_gtm' ) ?></h4>
<?php
   $project = BP_GTM_Projects::get_project_by_id($bp->action_variables[2]);
   $resps = explode(' ', $project[0]->resp_id);
?>
<?php do_action( 'bp_before_gtm_project_create' ); ?>

<label for="project_name">* <?php _e('Project name','bp_gtm'); ?></label>
<input type="text" name="project_name" id="project_name" value="<?php echo $project[0]->name ?>" />

<label for="project_desc">* <?php _e( 'Project description', 'bp_gtm' ) ?></label>
<textarea name="project_desc" id="gtm_desc"><?php echo $project[0]->desc ?></textarea>

<label for="project_resp"><?php _e('Who is responsible for this project execution or have access if its hidden?','bp_gtm'); ?>
&nbsp; <span class="ajax-loader"></span></label>
<ul>
   <?php
   foreach($resps as $resp) {
      //bp_core_get_userid($resp);
      if ($resp !="")
         echo "<li><input name='project_resp_old[]' type='checkbox' checked='checked' value='".$resp."' >".bp_core_get_user_displayname($resp)."</input></li>";
   }
   ?>
</ul>
<ul class="first acfb-holder">
   <li>
      <?php bp_gtm_get_resp_tabs() ?>
      <input type="text" name="project_resp" class="resp" id="resp" />
	</li>
</ul>

<?php do_action( 'bp_gtm_project_extra_fields_editable' ) ?>

<p>
	<label for="project_status">* <?php _e( 'Project status', 'bp_gtm' ); ?></label>
	<input type="radio" name="project_status" value="public" <?php echo ($project[0]->status == 'public') ? 'checked="checked" ' : ' '; ?> /> <?php _e( 'Public - for all logged in users', 'bp_gtm' ); ?><br>
	<input type="radio" name="project_status" value="private" <?php echo ($project[0]->status == 'private') ? 'checked="checked" ' : ' '; ?> /> <?php _e( 'Private - for this group members only', 'bp_gtm' ); ?><br>
   <input type="radio" name="project_status" value="hidden" <?php echo ($project[0]->status == 'hidden') ? 'checked="checked" ' : ' '; ?> /> <?php _e( 'Hidden - for creator, group admin and responsible people only', 'bp_gtm' ); ?>
</p>

<label for="project_deadline">* <?php _e('Project Deadline','bp_gtm'); ?> [yyyy-mm-dd]</label>
<input type="text" name="project_deadline" id="project_deadline" value="<?php echo $project[0]->deadline ?>" />

<label for="project_tags"><?php _e('Project Tags (separate new tags with comma)','bp_gtm'); ?>
&nbsp; <span class="ajax-loader"></span></label>
<?php
   $terms = BP_GTM_Taxon::get_terms_4project($bp->groups->current_group->id, $project[0]->id, 'tag');
   if (count($terms) > 0) {
      foreach($terms as $tag){
         if ($tag['name'] !='') {
            ($tag['used'] == '1') ? $used = 'checked="checked"' : $used = '';
            echo '<input name="project_old_tags[]" type="checkbox" '.$used.' value="'.$tag['name'].'" /> '.$tag['name'].'<br>';
         }
      }
   }else{
      $link = $gtm_link.'terms';
      echo sprintf( __( '<p>There are no tags to display. Create them <a href="%s" target="_blank">here</a></p>','bp_gtm'), $link );
   }
?>
<ul class="first acfb-holder">
   <li>
      <?php bp_gtm_get_resp_tabs() ?>
      <input type="text" name="project_tags" class="tags" id="tags" />
	</li>
</ul>

<label for="project_cats"><?php _e('Project Categories: ', 'bp_gtm') ?></label>
<?php
   $terms = BP_GTM_Taxon::get_terms_4project($bp->groups->current_group->id, $project[0]->id, 'cat');
   if (count($terms) > 0) {
      foreach($terms as $cat){
         ($cat['used'] == '1') ? $used = 'checked="checked"' : $used = '';
         echo '<input name="project_cats[]" type="checkbox" '.$used.' value="'.$cat['id'].'" /> '.$cat['name'].'<br>';
      }
   }else{
      $link = $gtm_link.'terms';
      echo sprintf( __( '<p>There are no categories to display. Create them <a href="%s" target="_blank">here</a></p>','bp_gtm'), $link );
   }
?>

<?php do_action( 'bp_after_gtm_project_create' ); ?>

<input type="hidden" name="project_id" value="<?php echo $project[0]->id ?>" />
<input type="hidden" name="project_group" value="<?php echo $bp->groups->current_group->id; ?>" />
<input type="hidden" name="project_resp_usernames" id="resp_usernames" value="<?php bp_gtm_resp_usernames(); ?>" class="<?php bp_gtm_resp_usernames() ?>" />
<input type="hidden" name="project_tag_names" id="tag_names" value="<?php bp_gtm_tag_names(); ?>" class="<?php bp_gtm_tag_names() ?>" />

<p>&nbsp;</p><div style="clear:both"></div>
<p><input type="submit" value="<?php _e( 'Update Project', 'bp_gtm' ) ?> &rarr;" id="save" name="editProject" /></p>
<?php wp_nonce_field( 'bp_gtm_edit_project' ) ?>

