<h4><?php _e( 'Settings', 'bp_gtm' ) ?></h4>

<?php do_action( 'bp_gtm_before_settings' ); ?>

<?php if (bp_gtm_check_access('settings_edit_base')){ ?>

    <label for="gtm-tasks-pp"><?php _e('How many tasks per page do you want to see on Tasks page?', 'bp_gtm'); ?></label>
    <div class="text">
        <input type="text" style="width:275px" name="gtm-tasks-pp" id="gtm-tasks-pp" value="<?php echo $bp_gtm_group_settings['tasks_pp']; ?>" />
    </div>

    <p>&nbsp;</p>

    <label for="gtm-tasks-pp"><?php _e('How many elements per page do you want to see on Discussions page?', 'bp_gtm'); ?></label>
    <div class="text">
        <input type="text" style="width:275px" name="gtm-discuss-pp" id="gtm-discuss-pp" value="<?php echo $bp_gtm_group_settings['discuss_pp']; ?>" />
    </div>

    <p>&nbsp;</p>

    <label for="gtm-discuss-status"><?php _e('Tasks/Projects discussion', 'bp_gtm'); ?></label>
    <div class="checkbox">
        <label>
            <input type="checkbox" name="gtm-discuss" id="gtm-discuss" value="on" <?php echo ($bp_gtm_group_settings['discuss'] == 'on') ? 'checked="checked" ' : ' '; ?>/>
            <?php _e( 'Enable tasks and projects discussion (disabling it will make impossible to discuss any tasks or projects).', 'bp_gtm' ); ?>
        </label>
    </div>

    <p>&nbsp;</p>

    <label for="gtm-resps-status"><?php _e('Where to choose responsible people for tasks/projects execution from?', 'bp_gtm'); ?></label>
    <div class="checkbox">
        <label>
            <input type="radio" name="gtm-resp" id="gtm-resp" value="friends" <?php echo ($bp_gtm_group_settings['resp'] == 'friends') ? 'checked="checked" ' : ' '; ?>/>
            <?php _e( 'From creator\'s friend list.', 'bp_gtm' ); ?>
        </label>
        <label>
            <input type="radio" name="gtm-resp" id="gtm-resp" value="gmembers" <?php echo ($bp_gtm_group_settings['resp'] == 'gmembers') ? 'checked="checked" ' : ' '; ?>/>
            <?php _e( 'From group members only.', 'bp_gtm' ); ?>
        </label>
        <label>
            <input type="radio" name="gtm-resp" id="gtm-resp" value="members" <?php echo ($bp_gtm_group_settings['resp'] == 'members') ? 'checked="checked" ' : ' '; ?>/>
            <?php _e( 'From all members of this site.', 'bp_gtm' ); ?>
        </label>
    </div>

<?php } ?>
    
<?php if (bp_gtm_check_access('settings_edit_roles')){
    // here will be the code for adding/deleting/editing group own roles
} ?>
    
<?php do_action( 'bp_gtm_after_settings' ); ?>

<p>&nbsp;</p>

<input type="submit" value="<?php _e( 'Save Changes', 'bp_gtm' ) ?> &rarr;" id="save" name="saveSettings" />

<?php wp_nonce_field( 'bp_gtm_edit_settings' ) ?>
