<h4><?php _e( 'Update Task', 'bp_gtm' ) ?></h4>
<?php
   $task = BP_GTM_Tasks::get_task_by_id($bp->action_variables[2]);
   $resps = explode(' ', $task[0]->resp_id);
?>
<?php do_action( 'bp_before_gtm_task_create' ); ?>

<label for="task_name">* <?php _e('Task name','bp_gtm'); ?></label>
<input type="text" name="task_name" id="task_name" value="<?php echo $task[0]->name ?>" />

<label for="task_desc">* <?php _e( 'Task description', 'bp_gtm' ) ?></label>
<textarea name="task_desc" id="gtm_desc"><?php echo $task[0]->desc ?></textarea>
<?php //the_editor($task[0]->desc, 'task_desc', 'title', false, 3); ?>

<label for="task_resp"><?php _e('Who is responsible for this task execution or have access if its hidden?','bp_gtm'); ?>
&nbsp; <span class="ajax-loader"></span></label>
<ul>
   <?php
   foreach($resps as $resp) {
      //bp_core_get_userid($resp);
      if ($resp !="")
         echo "<li><input name='task_resp_old[]' type='checkbox' checked='checked' value='".$resp."' >".bp_core_get_user_displayname($resp)."</input></li>";
   }
   ?>
</ul>
<ul class="first acfb-holder">
   <li>
      <?php bp_gtm_get_resp_tabs() ?>
      <input type="text" name="task_resp" class="resp" id="resp" />
	</li>
</ul>

<?php do_action( 'bp_gtm_task_extra_fields_editable' ) ?>

<label for="task_project"><?php _e( 'Project that this task corresponds to', 'bp_gtm' ); ?></label>
<?php
   $projects = bp_gtm_get_projects($bp->groups->current_group->id, $filter = 'alpha');
   if (count($projects)>0) {
      echo '<table style="width:auto;">';
      foreach ($projects as $project) {
         ($task[0]->project_id == $project->id) ? $checked = 'checked="checked" ' : $checked = '';
         $datef = __( 'M jS, Y', 'bp_gtm' );
         $deadline = date_i18n( $datef, strtotime( $project->deadline ) );
         echo '<tr><td style="padding:0px 15px 0 0"><input type="radio" name="task_project" value="'. $project->id .'" '.$checked.'/> '. $project->name .'</td>
                   <td style="padding:0">'.__('Deadline','bp_gtm').': '.$deadline.'</td></tr>';
      }
      echo '</table>';
   }else{
      _e('Please create at least one project to proceed.', 'bp_gtm');
   }
?>

<label for="task_deadline">* <?php _e('Task Deadline','bp_gtm'); ?> [yyyy-mm-dd]</label>
<input type="text" name="task_deadline" id="task_deadline" value="<?php echo $task[0]->deadline ?>" />

<div style="clear:both"></div>
<div class="tags_div" style="width:48%;float:left;margin:20px 0 0 0">
<label for="task_tags" style="margin:0px 0 10px 0"><?php _e('Task Tags (separate new tags with comma)','bp_gtm'); ?>
&nbsp; <span class="ajax-loader"></span></label>
<?php
   $terms = BP_GTM_Taxon::get_terms_4task($bp->groups->current_group->id, $task[0]->id, 'tag');
   if (count($terms) > 0) {
      foreach($terms as $tag){
         if ($tag['name'] !='' && $tag['used'] == '1') {
            ($tag['used'] == '1') ? $used = 'checked="checked"' : $used = '';
            echo '<input name="task_old_tags[]" type="checkbox" '.$used.' value="'.$tag['name'].'" /> '.$tag['name'].'<br>';
         }
      }
   }else{
      $link = $gtm_link.'terms';
      echo sprintf( __( '<p>There are no tags to display. Create them <a href="%s" target="_blank">here</a></p>','bp_gtm'), $link );
   }
?>
<ul class="first acfb-holder">
   <li>
      <?php bp_gtm_get_resp_tabs() ?>
      <input type="text" name="task_tags" class="tags" id="tags" />
	</li>
</ul>
</div>
<div class="cats_div" style="width:48%;float:right;margin:20px 0 0 0">
<label for="task_cats" style="margin:0px 0 10px 0"><?php _e('Task Categories: ', 'bp_gtm') ?></label>
<?php
   $terms = BP_GTM_Taxon::get_terms_4task($bp->groups->current_group->id, $task[0]->id, 'cat');
   if (count($terms) > 0) {
      foreach($terms as $cat){
         ($cat['used'] == '1') ? $used = 'checked="checked"' : $used = '';
         echo '<input name="task_cats[]" type="checkbox" '.$used.' value="'.$cat['id'].'" /> '.$cat['name'].'<br>';
      }
   }else{
      $link = $gtm_link.'terms';
      echo sprintf( __( '<p>There are no categories to display. Create them <a href="%s" target="_blank">here</a></p>','bp_gtm'), $link );
   }
?>
</div>

<?php do_action( 'bp_after_gtm_task_create' ); ?>

<input type="hidden" name="task_id" value="<?php echo $task[0]->id ?>" />
<input type="hidden" name="task_group" value="<?php echo $bp->groups->current_group->id; ?>" />
<input type="hidden" name="task_resp_usernames" id="resp_usernames" value="<?php bp_gtm_resp_usernames(); ?>" class="<?php bp_gtm_resp_usernames() ?>" />
<input type="hidden" name="task_tag_names" id="tag_names" value="<?php bp_gtm_tag_names(); ?>" class="<?php bp_gtm_tag_names() ?>" />

<p>&nbsp;</p><div style="clear:both"></div><p>&nbsp;</p>
<p><input type="submit" value="<?php _e( 'Update Task', 'bp_gtm' ) ?> &rarr;" id="save" name="editTask" /></p>
<?php wp_nonce_field( 'bp_gtm_edit_task' ) ?>

