<h4><?php _e( 'Tags and Categories', 'bp_gtm' ) ?> 
    <?php if(bp_gtm_check_access('taxon_create')){ ?>
    &rarr; <a class="button" id="open" href="#"><?php _e('Create new','bp_gtm') ?></a>
</h4>
    <div id="toggler">
       <div id="box" style="display:none;">
          <p>
             <label id="term_name" for="term_name"><?php _e('New term name','bp_gtm') ?></label>
             <input name="term_name" type="text" style="width:285px" value="" />
          </p>
          <p>
             <label for="term_taxon"><?php _e('What\'s this?','bp_gtm') ?></label>
             <input name="term_taxon" type="radio" value="tag" /> <?php _e('Tag', 'bp_gtm') ?><br>
             <input name="term_taxon" type="radio" value="cat" /> <?php _e('Category', 'bp_gtm') ?>
             <?php do_action('bp_gtm_term_taxon_create'); ?>
             <span class="submit"><input name="saveNewTerm" type="submit" value="<?php _e('Create new','bp_gtm') ?>" /></span>
             <?php wp_nonce_field( 'bp_gtm_new_term' ) ?>
          </p>
       </div>
    </div>
    <?php }else{
        echo '</h4>';
    } ?>

<div class="pagination">
    <div id="post-count" class="pag-count">
        <p><?php _e('All tags and categories for this group are displayed here','bp_gtm'); ?></p>
    </div>

    <div style="float:right;font-size:12px;display:none" id="terms-filter">
        <?php _e('Filter: ','bp_gtm'); ?>
        <a href="<?php echo $gtm_link.$bp->action_variables[0] ?>"><?php _e('Standart','bp_gtm'); ?></a> |
        <a href="<?php echo $gtm_link.$bp->action_variables[0].'?alphabetical' ?>"><?php _e('Alphabetical','bp_gtm'); ?></a> |
        <a href="<?php echo $gtm_link.$bp->action_variables[0].'?done' ?>"><?php _e('Done','bp_gtm'); ?></a>
    </div>
</div>

<?php do_action( 'bp_before_gtm_terms_list' ); ?>

<?php
   $tags = BP_GTM_Taxon::get_terms_in_group($bp->groups->current_group->id, 'tag');
?>

<?php if (count($tags)) { ?>
<table class="forum zebra" style="width:50%;float:left;border:1px solid #eaeaea">
    <thead>
        <tr>
            <th style="width:60%" id="th-title"><?php _e( 'Tag Name', 'bp_gtm' ) ?></th>
            <th style="width:10%" id="th-postcount"><?php _e( 'Count', 'bp_gtm' ) ?></th>
            <th id="th-freshness"><?php _e( 'Actions', 'bp_gtm' ) ?></th>

            <?php do_action( 'bp_directory_tags_extra_cell_head' ) ?>

        </tr>
    </thead>
    <tbody>

   <?php foreach ( $tags as $tag ) { ?>
        <tr class="" id="<?php echo $tag['id']; ?>">
            <td class="td-title">
                <a class="topic-title" href="<?php echo $gtm_link.$bp->action_variables[0].'/view/'.$tag['id'] ?>" title="<?php _e( 'Permalink on this term page', 'bp_gtm' ) ?>"><?php echo $tag['name']; ?></a>
            </td>
            <td class="td-postcount"><?php echo $tag['count']; ?></td>
            <td id="tag" class="td-freshness">
                <?php if(bp_gtm_check_access('taxon_edit')) {?>
                    <a class="edit_me" id="<?php echo $tag['id']; ?>" href="#"><img style='border:none' height='16' width='16' src="<?php echo GTM_URL ?>_inc/images/edit.png" alt="<?php _e('Edit','bp_gtm') ?>" /></a>&nbsp;
                <?php } ?>
                <?php if(bp_gtm_check_access('taxon_delete')) {?>
                    <a class="delete_me" id="<?php echo $tag['id']; ?>" href="#"><img style='border:none' height='16' width='16' src="<?php echo GTM_URL ?>_inc/images/delete.png" alt="<?php _e('Delete','bp_gtm') ?>" /></a>
                <?php } ?>
            </td>

            <?php do_action( 'bp_directory_tags_extra_cell' ) ?>
        </tr>

        <?php do_action( 'bp_directory_tags_extra_row' ) ?>
        <?php } ?>


    </tbody>
</table>
   <?php }else{
      echo '<div id="message" class="info" style="width:48%;float:left"><p>'.__('There are no tags to display.','bp_gtm').'</p></div>';
   } ?>


<?php // CATEGORIES TABLE ?>

<?php
   $cats = BP_GTM_Taxon::get_terms_in_group($bp->groups->current_group->id, 'cat');
?>

<?php if (count($cats)) { ?>
<table class="forum zebra" style="width:50%;float:right;border:1px solid #eaeaea">
    <thead>
        <tr>
            <th style="width:60%" id="th-title"><?php _e( 'Category Name', 'bp_gtm' ) ?></th>
            <th style="width:10%" id="th-postcount"><?php _e( 'Count', 'bp_gtm' ) ?></th>
            <th id="th-freshness"><?php _e( 'Actions', 'bp_gtm' ) ?></th>

            <?php do_action( 'bp_directory_cats_extra_cell_head' ) ?>

        </tr>
    </thead>

    <tbody>
   <?php foreach ( $cats as $cat ) { ?>
        <tr id="<?php echo $cat['id']; ?>">
            <td class="td-title">
                <a class="topic-title" href="<?php echo $gtm_link.$bp->action_variables[0].'/view/'.$cat['id'] ?>" title="<?php _e( 'Permalink on this category page', 'bp_gtm' ) ?>"><?php echo $cat['name']; ?></a>
            </td>
            <td class="td-postcount"><?php echo bp_gtm_count_term_usage($cat['id']); ?></td>
            <td id="cat" class="td-freshness">
                <?php if(bp_gtm_check_access('taxon_edit')) {?>
                    <a class="edit_me" id="<?php echo $cat['id']; ?>" href="#"><img style='border:none' height='16' width='16' src="<?php echo GTM_URL ?>_inc/images/edit.png" alt="<?php _e('Edit','bp_gtm') ?>" /></a>&nbsp;
                <?php } ?>
                <?php if(bp_gtm_check_access('taxon_delete')) {?>
                    <a class="delete_me" id="<?php echo $cat['id']; ?>" href="#"><img style='border:none' height='16' width='16' src="<?php echo GTM_URL ?>_inc/images/delete.png" alt="<?php _e('Delete','bp_gtm') ?>" /></a>
                <?php } ?>
            </td>

            <?php do_action( 'bp_directory_cats_extra_cell' ) ?>
        </tr>

        <?php do_action( 'bp_directory_cats_extra_row' ) ?>
        <?php } ?>


    </tbody>
</table>
   <?php
   }else{
      echo '<div id="message" class="info" style="width:48%;float:right"><p>'.__('There are no categories to display.','bp_gtm').'</p></div>';
   } ?>

<?php do_action( 'bp_after_gtm_terms_list' ); ?>